
********************************************************************************
********************************************************************************
************************* Combine NLSY79 Data **********************************
********************************************************************************

use "$temp/lfs_monthly_79.dta", clear
merge m:1 id year using "$temp/povstat_79.dta", ///
	keep(1 3) keepusing(sampweight relpov) nogen
	
************************* Generate Yearly Data *********************************

mvdecode _all, mv(-5/-1)
foreach x of  varlist afdc fdstmps hrs_worked_wk hrs_worked_max hrs_worked_min ///
	empstat lfs_wk lfs_max lfs_min {
	
	bys id year: egen `x'_yr = mean(`x')
}

bys id year: drop if _n>1
	
sort id year

********************************************************************************

merge 1:1 id year using "$temp/fertility_79.dta", ///
	keep(1 3) keepusing(cnumb) nogen
	bys id (year): replace cnumb = 0 if _n==1 & year==1978 & cnumb==.
	
merge 1:1 id year using "$temp/marriage_79.dta", ///
	keep(1 3) keepusing(marstat) nogen
	
merge 1:1 id year using "$temp/parhome_79.dta", ///
	keep(1 3) keepusing(lph) nogen
	bys id (year): replace lph = 0 if _n==1 & year==1979 & lph==.
	
merge 1:1 id year using "$temp/hgc_79.dta", ///
	keep(1 3) keepusing(hgc) nogen
	
merge 1:1 id year using "$temp/famsize_79.dta", ///
	keep(1 3) keepusing(famsize urban_rural) nogen
	recode urban_rural 2 = .

merge 1:1 id year using "$temp/occ_79.dta", ///
	keep(1 3) keepusing(occ) nogen

mvdecode _all, mv(-5/-1)
foreach x of varlist cnumb {
	bys id (year): replace `x' = `x'[_n-1] if ///
		`x'==. & `x'[_n-1]!=. & id==id[_n-1]
}

// Use Samping Weight to Drop Unit Non-Response, etc. //
drop if sampweight==0 | sampweight==.

save "$temp/NLSY79_Comb.dta", replace	
